fuzzydl.milp

## Class Variable

- java.lang.Object
- - fuzzydl.milp.Variable

-     public class Variable
      extends java.lang.Object

  Variable.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `BINARY_VARIABLE` Binary variable
    `static char` | `FREE_VARIABLE` Real variable
    `static char` | `INTEGER_VARIABLE` Integer variable
    `static char` | `UP_VARIABLE` [0-1] variable

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Variable(java.lang.String name, char type)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDatatypeFillerType()` Gets the datatypeFiller value of the variable.
    `double` | `getLowerBound()` Gets the lower bound of the variable.
    `static Variable` | `getNewVariable(char type)` Gets a new variable.
    `char` | `getType()` Gets the type of the variable.
    `double` | `getUpperBound()` Gets the upper bound of the variable.
    `void` | `setBinaryVariable()` Makes the variable binary.
    `void` | `setDatatypeFillerVariable()` Makes the variable a datatypeFiller variable.
    `void` | `setName(java.lang.String name)` Sets the name of the variable.
    `void` | `setType(char type)` Sets the type of the variable.
    `java.lang.String` | `toString()` Gets the name of the variable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BINARY_VARIABLE

          public static final char BINARY_VARIABLE

      Binary variable
      See Also:
        Constant Field Values

    - #### FREE_VARIABLE

          public static final char FREE_VARIABLE

      Real variable
      See Also:
        Constant Field Values

    - #### INTEGER_VARIABLE

          public static final char INTEGER_VARIABLE

      Integer variable
      See Also:
        Constant Field Values

    - #### UP_VARIABLE

          public static final char UP_VARIABLE

      [0-1] variable
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Variable

          public Variable(java.lang.String name,
                          char type)

      Constructor.
      Parameters:
        `name` - Name of the variable.
        `type` - Type of the variable.

  - ### Method Detail

    - #### getLowerBound

          public double getLowerBound()

      Gets the lower bound of the variable.
      Returns:
        Lower bound of the variable.

    - #### getType

          public char getType()

      Gets the type of the variable.
      Returns:
        Type of the variable

    - #### getDatatypeFillerType

          public boolean getDatatypeFillerType()

      Gets the datatypeFiller value of the variable.
      Returns:
        datatypeFiller of the variable

    - #### getUpperBound

          public double getUpperBound()

      Gets the upper bound of the variable.
      Returns:
        Upper bound of the variable.

    - #### setBinaryVariable

          public void setBinaryVariable()

      Makes the variable binary.

    - #### setDatatypeFillerVariable

          public void setDatatypeFillerVariable()

      Makes the variable a datatypeFiller variable.

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the variable.
      Parameters:
        `name` - Name of the variable

    - #### setType

          public void setType(char type)

      Sets the type of the variable.
      Parameters:
        `type` - Type of the variable

    - #### getNewVariable

          public static Variable getNewVariable(char type)

      Gets a new variable.
      Parameters:
        `type` - Type of the bound.
      Returns:
        A new variable.

    - #### toString

          public java.lang.String toString()

      Gets the name of the variable.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the variable.